Recent Posts

Pages: [1] 2 3 ... 10
1
AutoLISP (Vanilla / Visual) / Re: Draw structural beam with lisp
« Last post by CAB on Today at 12:23:48 PM »
Here is an Old thread:https://www.theswamp.org/index.php?topic=47517.15
If you do a lot of it you should get a Steel add-on or a Mechanical version of CAD.https://www.youtube.com/watch?v=j4JElDtyuCk


2
This has been discussed: http://www.theswamp.org/index.php?topic=49774.0

This is the technology that is used for making apps for the Autodesk store.
3
ok

I will try to do something with PDFtoPrinter

Thank you

But I still hope that there may be a solution only with VLISP . . .
. . . maybe using FileSystemObject . . .
FileSystemObject only handles files and folder operations. The Shell object is what runs other programs. But to use Shell, the desired program has to accept command line arguments. Dan seems to think that Adobe Acrobat no longer does. If you find a pdf program that has a COM api available then you can code it. Maybe not with lisp though. Lisp vlx commands are written to work with AutoCAD's COM api, but I'm not aware that it can attach to another exe's COM api.
4
AutoLISP (Vanilla / Visual) / Re: wblock in a previous version
« Last post by domenicomaria on Today at 10:51:31 AM »
thank you Marco

I will give it a try
(again)
... monday !

ciao
5
AutoLISP (Vanilla / Visual) / Re: Draw structural beam with lisp
« Last post by 57gmc on Today at 10:48:30 AM »
I wouldn't go down the programming route. I would recommend solid modeling. There's plenty of other options. The first and simplest is a block library. It could even be dynamic or parametric. But if you deal with steel a lot, I would use a product that provides steel shapes. You could then just place a section view of a solid. Plant 3D and Inventor come to mind. Advance Steel comes with the AEC collection.

I see that the first program you linked to can generate a solid. Use that app then section the solid using the  VIEWBASE command.
6
(vla-put-saveastype (vla-get-opensave (vla-get-preferences (vlax-get-acad-object) ) ) ac2000_dwg )
Works... tested in AutoCAD 2013
8
Still on the sidebar (KISS attempt): I just made a C program to pack all the .lsp files in a directory--and subdirectories--into a single file. :)
Personally, I don't use them in-house. I developed a robust system that makes it easy for me. But they're great for sharing plugins. You don't have to explain how to install anything. Just tell them what folder to copy it to and it just works... file loading, menu loading, etc. It was developed for the app store. In a sense, it does KISS. More for the end user though. But it's not much work for the dev either. Daniel posted an arx a while back and in a few minutes I made a bundle for it.
9
On the same topic, this may be of interest -

http://lee-mac.com/consistentrtos.html
10
.NET / Re: Macro based upon calls from within a DLL command
« Last post by MSTG007 on Today at 10:23:02 AM »
Thank you for shedding some light on that. On top of that, If the dll has sub options within the command, could a macro still be setup?

example. Test1, activates the command, then user has to click somewhere, a new subcommand prompts user, then the command would be completed.

Code: [Select]
command: Test1
command: User pick polyline: (User picks)
command: Change the (L) Lineweight or (PE) pedit the polyline width: (User picks L)
command: What lineweight do you want to use?: (User types in 0.00) (Command is completed.)

Pages: [1] 2 3 ... 10